curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateKey": "<string>",
"templateVersion": "<string>",
"layerSelections": {},
"managedConfig": {},
"customerProvidedInputs": {}
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding"
payload = {
"templateKey": "<string>",
"templateVersion": "<string>",
"layerSelections": {},
"managedConfig": {},
"customerProvidedInputs": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateKey: '<string>',
templateVersion: '<string>',
layerSelections: {},
managedConfig: {},
customerProvidedInputs: {}
})
};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateKey": "<string>",
"templateVersion": "<string>",
"layerSelections": {},
"managedConfig": {},
"customerProvidedInputs": {},
"layers": [
{
"key": "<string>",
"reason": "<string>",
"componentKeys": [
"<string>"
]
}
]
}Update the cluster platform binding
Selects a platform template and stores layer selections, component profile values, and customer-provided runtime inputs for the cluster.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Body
Show child attributes
Show child attributes
Component configuration values keyed by component key
Show child attributes
Show child attributes
String values keyed first by component key and then by input key
Show child attributes
Show child attributes
Response
Updated cluster platform binding
Show child attributes
Show child attributes
Component configuration values keyed by component key
Show child attributes
Show child attributes
String values keyed first by component key and then by input key
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?